## xalan 1.12

=== Tests/CMakeLists.txt ===
# CMake build for xalan-c
#
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

add_executable(Performance
  Performance/Logger.cpp
  Performance/Logger.hpp
  Performance/Parameters.cpp
  Performance/Parameters.hpp
  Performance/perf.cpp
  Performance/TestHarness.cpp
  Performance/TestHarness.hpp
  Performance/Timer.hpp
  Performance/Utils.cpp
  Performance/Utils.hpp
  Performance/XalanCProcessor.cpp
  Performance/XalanCProcessor.hpp
  )
target_link_libraries(Performance XalanC::XalanC)
set_target_properties(Performance PROPERTIES FOLDER "Tests")

add_executable(Threads
  Threads/ThreadTest.cpp)
target_link_libraries(Threads XalanC::XalanC Threads::Threads)
set_target_properties(Threads PROPERTIES FOLDER "Tests")

add_executable(Conf
  Conf/conf.cpp)
target_link_libraries(Conf XalanC::XalanC)
set_target_properties(Conf PROPERTIES FOLDER "Tests")

foreach(test Threads)
  add_test(
    NAME ${test}
    COMMAND $<TARGET_FILE:${test}>
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${test}")
  if(msgloader STREQUAL "nls")
    set_tests_properties(${test} PROPERTIES ENVIRONMENT "NLSPATH=${PROJECT_BINARY_DIR}/src/xalanc/NLS/gen/Xalan.cat")
  endif()
  if(WIN32)
    string(REPLACE ";" "\\;" OLDPATH "$ENV{PATH}")
    set_tests_properties(${test} PROPERTIES ENVIRONMENT "PATH=$<SHELL_PATH:$<TARGET_FILE_DIR:xalan-c>>\;$<SHELL_PATH:$<TARGET_FILE_DIR:xalanMsg>>\;${OLDPATH}")
  endif()
endforeach()

=== samples/CMakeLists.txt ===
# CMake build for xalan-c
#
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

add_custom_target(samples COMMENT Build sample programs)
set_target_properties(samples PROPERTIES FOLDER "Samples")

# ApacheModuleXSLT?
foreach(sample
    CompileStylesheet
    DocumentBuilder
    EntityResolver
    ExternalFunction
    ParsedSourceWrappers
    SerializeNodeSet
    SimpleTransform
    SimpleXPathAPI
    StreamTransform
    TraceListen
    TransformToXercesDOM
    UseStylesheetParam
    XalanTransform
    XalanTransformerCallback
    ThreadSafe)
  add_executable(${sample} ${sample}/${sample}.cpp)
  target_link_libraries(${sample} XalanC::XalanC)
  set_target_properties(${sample} PROPERTIES FOLDER "Samples")
  add_dependencies(samples ${sample})
endforeach()

foreach(sample
    SimpleXPathCAPI)
  add_executable(${sample} ${sample}/${sample}.c)
  target_link_libraries(${sample} XalanC::XalanC)
  set_target_properties(${sample} PROPERTIES FOLDER "Samples")
  add_dependencies(samples ${sample})
endforeach()

foreach(sample
        CompileStylesheet
        DocumentBuilder
        EntityResolver
        ExternalFunction
        ParsedSourceWrappers
        SimpleTransform
        StreamTransform
        ThreadSafe)
  add_test(NAME ${sample}
           COMMAND $<TARGET_FILE:${sample}>
           WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${sample}")
endforeach()

add_test(NAME SerializeNodeSet
         COMMAND $<TARGET_FILE:SerializeNodeSet> "foo.xml" "/doc" "name[@first='David']"
         WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/SerializeNodeSet")

add_test(NAME SimpleXPathAPI-1
        COMMAND $<TARGET_FILE:SimpleXPathAPI> "foo.xml" "/foo:doc" "foo:name/@last"
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/SimpleXPathAPI")

add_test(NAME SimpleXPathAPI-2
        COMMAND $<TARGET_FILE:SimpleXPathAPI> "foo.xml" "/" "//foo:name[position()=\"4\"]/@first"
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/SimpleXPathAPI")

add_test(NAME TraceListen-1
        COMMAND $<TARGET_FILE:TraceListen> "-tt"
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/TraceListen")

add_test(NAME TraceListen-2
        COMMAND $<TARGET_FILE:TraceListen> "-tg"
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/TraceListen")

add_test(NAME TraceListen-3
        COMMAND $<TARGET_FILE:TraceListen> "-ts"
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/TraceListen")

add_test(NAME TraceListen-4
        COMMAND $<TARGET_FILE:TraceListen> "-ttc"
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/TraceListen")

add_test(NAME TransformToXercesDOM
        COMMAND $<TARGET_FILE:TransformToXercesDOM> "birds.xml" "birds.xsl"
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/TransformToXercesDOM")

add_test(NAME UseStylesheetParam
        COMMAND $<TARGET_FILE:UseStylesheetParam>
          "foo.xml" "foo.xslt" "foo.out"
          "-s" "stringA" "'This is a test string value'"
          "-n" "numberA"  "123.012345"
          "-d" "parmA" "parmA.xml"
          "-d" "parmB" "parmB.xml"
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/UseStylesheetParam")

add_test(NAME XalanTransform
        COMMAND $<TARGET_FILE:XalanTransform> "foo.xml" "foo.xsl"
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/XalanTransform")

add_test(NAME XalanTransformerCallback
        COMMAND $<TARGET_FILE:XalanTransformerCallback> "foo.xml" "foo.xsl"
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/XalanTransformerCallback")

add_test(NAME SimpleXPathCAPI
        COMMAND $<TARGET_FILE:SimpleXPathCAPI> "foo.xml" "/doc/name[3]"
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/SimpleXPathCAPI")

foreach(sample
        CompileStylesheet
        DocumentBuilder
        EntityResolver
        ExternalFunction
        ParsedSourceWrappers
        SimpleTransform
        StreamTransform
        ThreadSafe
        SerializeNodeSet
        SimpleXPathAPI-1
        SimpleXPathAPI-2
        TraceListen-1
        TraceListen-2
        TraceListen-3
        TraceListen-4
        TransformToXercesDOM
        UseStylesheetParam
        XalanTransform
        XalanTransformerCallback
        SimpleXPathCAPI)
  if(msgloader STREQUAL "nls")
    set_tests_properties(${sample} PROPERTIES ENVIRONMENT "NLSPATH=${PROJECT_BINARY_DIR}/src/xalanc/NLS/gen/Xalan.cat")
  endif()
  if(WIN32)
    string(REPLACE ";" "\\;" OLDPATH "$ENV{PATH}")
    set_tests_properties(${sample} PROPERTIES ENVIRONMENT "PATH=$<SHELL_PATH:$<TARGET_FILE_DIR:xalan-c>>\;$<SHELL_PATH:$<TARGET_FILE_DIR:xalanMsg>>\;${OLDPATH}")
  endif()
endforeach()

=== src/xalanc/TestXSLT/CMakeLists.txt ===
# CMake build for xalan-c
#
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

add_executable(TestXSLT process.cpp)
target_link_libraries(TestXSLT XalanC::XalanC)
set_target_properties(TestXSLT PROPERTIES FOLDER "Tests")

=== src/xalanc/Utils/CMakeLists.txt ===
# CMake build for xalan-c
#
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

set(GEN_SUPPORTDIR "${PROJECT_BINARY_DIR}/src/xalanc/PlatformSupport")
file(MAKE_DIRECTORY "${GEN_SUPPORTDIR}")

set(XSL_NLS_SRC_DIR "${PROJECT_SOURCE_DIR}/src/xalanc/NLS")
set(XSL_NLS_BIN_DIR "${PROJECT_BINARY_DIR}/src/xalanc/NLS")
set(XSL_NLS_INC_DIR "${PROJECT_BINARY_DIR}/src/xalanc/NLS/include")
set(XSL_NLS_GEN_DIR "${PROJECT_BINARY_DIR}/src/xalanc/NLS/gen")
file(MAKE_DIRECTORY "${XSL_NLS_LIB_DIR}")
file(MAKE_DIRECTORY "${XSL_NLS_GEN_DIR}")
file(MAKE_DIRECTORY "${XSL_NLS_INC_DIR}")

set(MSGFILENAME XalanMsg_${LOCALE})

set(XLIFF_FILE_NAME ${XSL_NLS_SRC_DIR}/${LOCALE}/${MSGFILENAME}.xlf)

set(GENMSGINDEX "${XSL_NLS_GEN_DIR}/LocalMsgIndex.hpp")
set(GENMSGDATA "${XSL_NLS_GEN_DIR}/LocalMsgData.hpp")
set(INCLUDEMSGDATA "${XSL_NLS_INC_DIR}/LocalMsgData.hpp")
set(SUPPORTMSGINDEX "${GEN_SUPPORTDIR}/LocalMsgIndex.hpp")

add_custom_target(locale ALL)
set_target_properties(locale PROPERTIES FOLDER "Message Library")

if(msgloader STREQUAL "inmemory")
  add_custom_command(
    OUTPUT "${GENMSGINDEX}"
           "${GENMSGDATA}"
    COMMAND "$<TARGET_FILE:MsgCreator>"
           "${XLIFF_FILE_NAME}"
           -TYPE inmem
           -LOCALE ${LOCALE}
    WORKING_DIRECTORY "${XSL_NLS_GEN_DIR}"
    COMMENT "Generating inmemory locale message data"
    DEPENDS MsgCreator "${XLIFF_FILE_NAME}")

  add_custom_command(
    OUTPUT "${INCLUDEMSGDATA}"
    COMMAND "${CMAKE_COMMAND}" -E copy "${GENMSGDATA}" "${INCLUDEMSGDATA}"
    DEPENDS "${GENMSGDATA}"
    COMMENT "Creating ${INCLUDEMSGDATA}")

  add_custom_command(
    OUTPUT "${SUPPORTMSGINDEX}"
    COMMAND "${CMAKE_COMMAND}" -E copy "${GENMSGINDEX}" "${SUPPORTMSGINDEX}"
    DEPENDS "${GENMSGINDEX}"
    COMMENT "Creating ${SUPPORTMSGINDEX}")

  add_custom_target(inmemory-dependencies
    DEPENDS "${INCLUDEMSGDATA}" "${SUPPORTMSGINDEX}")
  add_dependencies(locale inmemory-dependencies)
  set_target_properties(inmemory-dependencies PROPERTIES FOLDER "Message Library")
endif()

# Note that ICU message loading is broken due to pkgdata no longer
# generating DLLs.  This support was removed some time ago; what
# support remains is broken.
if(msgloader STREQUAL "icu")
  # Do we need a configuration-specific location for the generated
  # package?
  set(XSL_NLS_LIB_DIR "${PROJECT_SOURCE_DIR}/src/xalanc/NLS/lib/$<CONFIG>")
  set(GENLOCALETXT "${XSL_NLS_GEN_DIR}/${LOCALE}.txt")
  set(GENRESFILELIST "${XSL_NLS_GEN_DIR}/res-file-list.txt")
  set(RESFILE "${LOCALE}.res")
  set(GENRESFILE "${XSL_NLS_GEN_DIR}/${RESFILE}")
  set(LOC_PROJECT_NAME xalanMsg)

  file(WRITE "${GENRESFILELIST}" "${GENRESFILE}")

  add_custom_command(
    OUTPUT "${GENMSGINDEX}"
           "${GENLOCALETXT}"
    COMMAND "$<TARGET_FILE:MsgCreator>"
            "${XLIFF_FILE_NAME}"
            -TYPE icu
            -LOCALE ${LOCALE}
    WORKING_DIRECTORY "${XSL_NLS_GEN_DIR}"
    COMMENT "Generating ICU locale message data"
    DEPENDS MsgCreator "${XLIFF_FILE_NAME}")

  add_custom_command(
    OUTPUT "${GENRESFILE}"
    COMMAND "${ICU_GENRB_EXECUTABLE}"
            -d "${XSL_NLS_GEN_DIR}"
            -i "${XSL_NLS_GEN_DIR}"
            "${GENLOCALETXT}"
    WORKING_DIRECTORY "${XSL_NLS_GEN_DIR}"
    COMMENT "Generating ICU locale message resource"
    DEPENDS "${GENLOCALETXT}")

  # Needs to use generator for lib dir name
  add_custom_command(OUTPUT "testlibxxx"
    COMMAND "${ICU_PKGDATA_EXECUTABLE}"
            --name "${LOC_PROJECT_NAME}"
            -T "${XSL_NLS_GEN_DIR}"
            -v
            -O "${ICU_MAKEFILE_INC}"
            --mode dll
            -d "${XSL_NLS_LIB_DIR}"
            "${RESFILE}"
    WORKING_DIRECTORY "${XSL_NLS_GEN_DIR}"
    COMMENT "Generating ICU locale message data package"
    DEPENDS "${GENRESFILE}")

  # Further needed ICU actions...

  # Test ICU actions to this point; it's incomplete due to ICU pkgdata
  # not working.
  add_custom_target(icutest
    DEPENDS "testlibxxx")
  set_target_properties(icutest PROPERTIES FOLDER "Message Library")
endif()

if(msgloader STREQUAL "nls")
  set(CATALOG_NAME Xalan)
  set(CATALOG_MSG "${XSL_NLS_GEN_DIR}/${MSGFILENAME}.msg")
  set(CATALOG "${XSL_NLS_GEN_DIR}/${CATALOG_NAME}.cat")
  set(locale_dependencies "${CATALOG}")

  add_custom_command(
    OUTPUT "${CATALOG_MSG}"
    COMMAND "$<TARGET_FILE:MsgCreator>"
            "${XLIFF_FILE_NAME}"
            -TYPE nls
            -LOCALE ${LOCALE}
    WORKING_DIRECTORY "${XSL_NLS_GEN_DIR}"
    COMMENT "Generating nls locale message data"
    DEPENDS MsgCreator "${XLIFF_FILE_NAME}")

  add_custom_command(
    OUTPUT "${CATALOG}"
    COMMAND gencat "${CATALOG}" "${CATALOG_MSG}"
    DEPENDS "${CATALOG_MSG}"
    WORKING_DIRECTORY "${XSL_NLS_GEN_DIR}"
    COMMENT "Generating nls message catalog")

  add_custom_command(
    OUTPUT "${SUPPORTMSGINDEX}"
    COMMAND "${CMAKE_COMMAND}" -E copy "${GENMSGINDEX}" "${SUPPORTMSGINDEX}"
    DEPENDS "${GENMSGINDEX}"
    COMMENT "Creating ${SUPPORTMSGINDEX}")

  add_custom_target(nls-dependencies DEPENDS "${CATALOG}" "${SUPPORTMSGINDEX}")
  add_dependencies(locale nls-dependencies)
  set_target_properties(nls-dependencies PROPERTIES FOLDER "Message Library")

  if(NOT XALAN_USING_GLIBC)
    install(FILES "${CATALOG}"
      DESTINATION "${CMAKE_INSTALL_LIBDIR}/nls/${LOCALE}"
      COMPONENT "runtime")
  else()
    install(FILES "${CATALOG}"
      DESTINATION "${CMAKE_INSTALL_LOCALEDIR}/${LOCALE}/LC_MESSAGES"
      COMPONENT "runtime")
  endif()
endif()

install(FILES "${SUPPORTMSGINDEX}"
  DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/xalanc/PlatformSupport"
  COMPONENT "development")

=== src/xalanc/Utils/MsgCreator/CMakeLists.txt ===
# CMake build for xalan-c
#
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

set(msgcreator_sources
  ICUResHandler.cpp
  InMemHandler.cpp
  MsgCreator.cpp
  MsgFileOutputStream.cpp
  NLSHandler.cpp
  SAX2Handler.cpp)

set(msgcreator_headers
  ICUResData.hpp
  ICUResHandler.hpp
  IndexFileData.hpp
  InMemData.hpp
  InMemHandler.hpp
  MsgCreator.hpp
  MsgFileOutputStream.hpp
  NLSData.hpp
  NLSHandler.hpp
  SAX2Handler.hpp)

add_executable(MsgCreator ${msgcreator_sources} ${msgcreator_headers})
target_include_directories(MsgCreator PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
  $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/src>)
target_link_libraries(MsgCreator XercesC::XercesC)
if(transcoder STREQUAL "icu")
  target_link_libraries(MsgCreator ICU::uc ICU::i18n)
endif()

set_target_properties(MsgCreator PROPERTIES FOLDER "Message Library")

=== debian/changelog ===
xalan (1.12-12) unstable; urgency=medium

  * Switch -doc package back to arch:all.

 -- William Blough <bblough@debian.org>  Thu, 23 Oct 2025 08:05:51 -0400

xalan (1.12-11) unstable; urgency=medium

  * Fix Depends

 -- William Blough <bblough@debian.org>  Wed, 22 Oct 2025 22:13:11 -0400

xalan (1.12-10) unstable; urgency=medium

  * Switch -doc package to arch:any, Closes: 1118598

 -- William Blough <bblough@debian.org>  Wed, 22 Oct 2025 20:54:21 -0400

xalan (1.12-9) unstable; urgency=medium

  * Fixes for gcc 15, Closes: 1098118
  * Bump minimum cmake version, Closes: 1113636
  * Add missed dh files
  * Install cmake and pkgconfig files with -dev
  * Update standards version (no changes)
  * Use debhelper compat 13

 -- William Blough <bblough@debian.org>  Wed, 22 Oct 2025 09:32:31 -0400

xalan (1.12-8) unstable; urgency=medium

  * Apply patch from László Böszörményi for ICU FTBFS. Closes: #1092325

 -- William Blough <bblough@debian.org>  Sat, 22 Mar 2025 14:54:18 -0400

xalan (1.12-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063249

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 06:16:10 +0000

xalan (1.12-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-exec (>= 0.3).
    + Build-Depends: Drop dependency on essential package dpkg-dev (>= 1.16).
  * Apply multi-arch hints. + libxalan-c-doc: Add Multi-Arch: foreign.

  [ William Blough ]
  * Fix broken symlinks.  Closes: #988866

 -- William Blough <bblough@debian.org>  Fri, 30 Dec 2022 22:16:21 -0500

xalan (1.12-6) unstable; urgency=medium

  * Switch to using build dir to avoid arch naming issues. Closes: 979327

 -- William Blough <bblough@debian.org>  Wed, 06 Jan 2021 08:30:26 -0500

xalan (1.12-5) unstable; urgency=medium

  * Use DEB_HOST_GNU_TYPE instead of DEB_HOST_MULTIARCH to fix i386/i686
    confusion.  Closes: 979327

 -- William Blough <bblough@debian.org>  Tue, 05 Jan 2021 10:11:43 -0500

xalan (1.12-4) unstable; urgency=medium

  * Upload to unstable

 -- William Blough <bblough@debian.org>  Thu, 24 Dec 2020 23:23:15 -0500

xalan (1.12-3) experimental; urgency=medium

  * Fix packaging issues related to conversion to cmake. Closes: 976299
  * Update standards version to 4.5.1 (no changes)

 -- William Blough <bblough@debian.org>  Fri, 11 Dec 2020 12:24:22 -0500

xalan (1.12-2) unstable; urgency=medium

  * Fix packaging issues related to conversion to cmake. Closes: #976299

 -- William Blough <bblough@debian.org>  Fri, 11 Dec 2020 12:16:18 -0500

xalan (1.12-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 1.6-3, 1.6-2, 1.6-1.

  [ William Blough ]
  * Update watch file for move to github
  * Update upstream signing key
  * New upstream version 1.12
  * Update package names with new soname
  * Update packaging to use new build system and layout
  * Drop or refresh patches as needed
  * Add patch to install TestXSLT
  * Add upstream patch to install XalanCAPI.h
  * Remove outdated info from d/copyright
  * Update Standards-Version to 4.5.0 (no changes needed)

 -- William Blough <bblough@debian.org>  Sun, 20 Sep 2020 16:22:25 -0400

=== debian/control ===
Source: xalan
Priority: optional
Section: text
Maintainer: William Blough <bblough@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               dh-exec,
               libxerces-c-dev,
               cmake,
               doxygen
Standards-Version: 4.7.2
Homepage: https://xalan.apache.org/xalan-c/
Vcs-Browser: https://salsa.debian.org/bblough/xalan
Vcs-Git: https://salsa.debian.org/bblough/xalan.git

Package: libxalan-c112t64
Provides: ${t64:Provides}
Replaces: libxalan-c112
Breaks: libxalan-c112 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XSLT processor library for C++
 This package provides the runtime library for Xalan, the XSLT processor
 from the Apache Software Foundation.  This library provides support for
 applications to transform XML documents to other formats using XSLT
 templates.

Package: libxalan-c-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libc6-dev,
         libxalan-c112t64 (= ${binary:Version}),
         libxerces-c-dev,
         ${misc:Depends}
Replaces: libxalan110-dev
Conflicts: libxalan110-dev
Description: XSLT processor library for C++ [development]
 This package provides development headers needed to develop applications
 that use the Xalan XSLT processing library from the Apache Software
 Foundation.

Package: libxalan-c-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libxalan-c-dev
Description: XSLT processor library for C++ [development docs]
 This package contains the API documentation and programming reference
 .
 Users of applications that rely on Xalan will not need to install this,
 however developers of applications that rely on Xalan may find this
 package helpful.

Package: xalan
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XSLT processor utility
 This package provides a command line utility to transform XML documents
 to other formats using XSLT templates.  It uses the Xalan XSLT processing
 library from the Apache Software Foundation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

#build in release mode, not debug mode
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

export BUILD_DIR=build

%:
	dh $@ --builddirectory=${BUILD_DIR}

execute_after_dh_auto_build-indep:
	( cd ${BUILD_DIR} && $(MAKE) doc-api)


# Don't run tests for arch-indep (doc) build
override_dh_auto_test-indep:

override_dh_installexamples:
	chmod 644 samples/configure.in
	dh_installexamples --doc-main-package=libxalan-c-doc -plibxalan-c-doc \
		-XTraceListen/birds.xml -XTraceListen/birds.xsl -XTransformToXercesDOM/birds.xml \
		-XSimpleTransform/foo.xml -XSimpleTransform/foo.xsl -XXalanTransformerCallback/foo.xsl \
		-XXalanTransformerCallback/foo.xml -XXPathWrapper/foo.xml -X*.out samples/*

override_dh_installdocs:
	dh_installdocs -A NOTICE

=== debian/watch ===
version=4

opts=,\
  pgpmode=auto,\
  downloadurlmangle=s#/tag/#/download/#;s#(Xalan\-C_([\d_]+))$#$1/xalan_c-$2.tar.gz#;s#-(\d+)_(\d+)(_(\d+))?#-$1.$2#,\
  versionmangle=s#_#.#g;s#\.0$##,\
  filenamemangle=s#.*(Xalan-C_(\d+)_(\d+)_(\d+))#xalan_c-$2.$3.tar.gz# \
  https://github.com/apache/xalan-c/tags .*/releases/tag/Xalan\-C_([\d_]+)

#TODO figure out a cleaner way to write these rules

## xalan c-1.11-src

=== c/Projects/Win32/Makefile ===
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the  "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


################################################################################################
###
###	 The makefile will create binary packages based on VC6, VC7, Win32 or Win64 builds
###
###	 Usage:
###		nmake [prefix=[path]] [BITS=32*|64] [IDE_VER=VC6*|VC7] [INSTALL_MODE=Debug|Release|Both*] [PACKAGE_NAME=<desirable_package_name>][<make_file_target>]
###
###	 Parameters:
###	 	The Makefile reads next environmental variables:
###	 		XALANCROOT : a regular Xalan-C root, describing location of the built sources. ".\..\.." is a default value
###	 		DESTDIR : destination location on the built binary package. Default is $(XALANCROOT)
###	 		 
###	 		Command line parameters:
###				"prefix" Path provided for prefix should be a relative path and it's appended to $(DESTDIR) 
###	 		 	Virtually all macros in the makefile or in tools.ini file can be redefined from the command line .
###	 		 	For default values see tools.ini file
###
################################################################################################

# =================== Check parameters ans set variables ==========================================

!IFNDEF XALANCROOT
XALANCROOT=.\..\..
!ENDIF

!INCLUDE $(XALANCROOT)\version.incl

!IF "$(PROJECT_NAME)"!="xalan-c" && "$(ICUROOT)x" == "x"
!	ERROR ICUROOT sould be defined
!ENDIF

!IF "$(INSTALL_MODE)"=="Both"
!UNDEF INSTALL_MODE
INSTALL_MODE=Release
BUILD_DEBUG=build_debug
!ENDIF

MSGLIB_PREFIX=XalanMessages

!IF "$(PROJECT_NAME)"!="xalan-c" 
ICUTARGET=icu

!	IF "$(INSTALL_MODE)"=="Debug"
ICULIB_DLL=$(ICUROOT)\bin\icuin??d.dll
!	ELSEIF "$(INSTALL_MODE)"=="Release"
ICULIB_DLL=$(ICUROOT)\bin\icuin??.dll
!	ENDIF

!ELSE
ICUTARGET=
!ENDIF

!IFNDEF DESTDIR
DESTDIR=$(XALANCROOT)
!ENDIF 

!IF "$(prefix)x" != "x"
ZIP_DIR=$(DESTDIR)\$(prefix)
!ELSE
ZIP_DIR=$(DESTDIR)
!ENDIF

XSL_BIN_DEST=$(ZIP_DIR)\$(PACKAGE_NAME)


!IF "$(INSTALL_MODE)"=="Debug"
BIN_SRC_DIR=$(XALANCROOT)\Build\$(BITS)\$(IDE_VER)\Debug
XALAN_DLL=$(XSLT_DLL_NAME)D.dll
XALAN_LIB=$(PROJECT_NAME)_1D.lib
MSG_DLL=$(MSGLIB_DLL_NAME)D.dll
!ELSEIF "$(INSTALL_MODE)"=="Release"
BIN_SRC_DIR=$(XALANCROOT)\Build\$(BITS)\$(IDE_VER)\Release
XALAN_DLL=$(XSLT_DLL_NAME).dll
XALAN_LIB=$(PROJECT_NAME)_1.lib	
MSG_DLL=$(MSGLIB_DLL_NAME).dll
!ENDIF

!IF "$(XALANCROOT)" != "$(XSL_BIN_DEST)"
SAME_LOCATION=different_location
!ENDIF


ALL_SAMPLES =  $(XSL_BIN_DEST)\bin\CompileStylesheet.exe \
                  $(XSL_BIN_DEST)\bin\DocumentBuilder.exe \
                  $(XSL_BIN_DEST)\bin\ExternalFunction.exe \
                  $(XSL_BIN_DEST)\bin\ParsedSourceWrappers.exe \
                  $(XSL_BIN_DEST)\bin\SerializeNodeSet.exe \
                  $(XSL_BIN_DEST)\bin\SimpleTransform.exe \
                  $(XSL_BIN_DEST)\bin\SimpleXPathAPI.exe \
                  $(XSL_BIN_DEST)\bin\SimpleXPathCAPI.exe \
                  $(XSL_BIN_DEST)\bin\StreamTransform.exe \
                  $(XSL_BIN_DEST)\bin\TraceListen.exe \
                  $(XSL_BIN_DEST)\bin\TransformToXercesDOM.exe \
                  $(XSL_BIN_DEST)\bin\UseStylesheetParam.exe \
                  $(XSL_BIN_DEST)\bin\XalanTransform.exe \
                  $(XSL_BIN_DEST)\bin\XalanTransformerCallback.exe \
				  $(XSL_BIN_DEST)\bin\ThreadSafe.exe \
				  $(XSL_BIN_DEST)\bin\Xalan.exe

SAMPLES_DIRS= $(XSL_BIN_DEST)\samples\ApacheModuleXSLT 			\
				$(XSL_BIN_DEST)\samples\CompileStylesheet 		\
				$(XSL_BIN_DEST)\samples\ExternalFunction 		\
				$(XSL_BIN_DEST)\samples\DocumentBuilder 		\
				$(XSL_BIN_DEST)\samples\ParsedSourceWrappers 	\
				$(XSL_BIN_DEST)\samples\SerializeNodeSet 		\
				$(XSL_BIN_DEST)\samples\SimpleTransform 		\
				$(XSL_BIN_DEST)\samples\SimpleXPathAPI 			\
				$(XSL_BIN_DEST)\samples\SimpleXPathCAPI 		\
				$(XSL_BIN_DEST)\samples\StreamTransform 		\
				$(XSL_BIN_DEST)\samples\TraceListen 			\
				$(XSL_BIN_DEST)\samples\TransformToXercesDOM 	\
				$(XSL_BIN_DEST)\samples\UseStylesheetParam 		\
				$(XSL_BIN_DEST)\samples\XalanTransform 			\
				$(XSL_BIN_DEST)\samples\XalanTransformerCallback \
				$(XSL_BIN_DEST)\samples\ThreadSafe 							

SAMPLE_PROJ= $(XSL_BIN_DEST)\samples\Projects

# =================== End of check parameters  ===================================



install: libs include $(SAME_LOCATION) $(BUILD_DEBUG)
	
prepare: $(XSL_BIN_DEST)\bin $(XSL_BIN_DEST)\lib $(XSL_BIN_DEST)\include $(XSL_BIN_DEST)\samples
	
$(XSL_BIN_DEST)\bin $(XSL_BIN_DEST)\lib $(XSL_BIN_DEST)\include $(XSL_BIN_DEST)\samples:
	$(MKDIR) $@ 
	
libs: prepare $(XSL_BIN_DEST)\bin\$(XALAN_DLL) $(XSL_BIN_DEST)\lib\$(XALAN_LIB) $(XSL_BIN_DEST)\bin\$(MSG_DLL) $(ICUTARGET)

$(XSL_BIN_DEST)\bin\$(XALAN_DLL) $(XSL_BIN_DEST)\bin\$(MSG_DLL) $(XSL_BIN_DEST)\lib\$(XALAN_LIB): $(BIN_SRC_DIR)\$(@F)
	$(COPY) $(BIN_SRC_DIR)\$(@F) $(@D)

include: prepare $(XSL_BIN_DEST)\include\xalanc\Include\XalanVersion.hpp

		
$(XSL_BIN_DEST)\include\xalanc\Include\XalanVersion.hpp: $(XALANCROOT)\src\xalanc\Include\XalanVersion.hpp
	$(COPY) $(XALANCROOT)\src\xalanc\DOMSupport\*.h* 		$(XSL_BIN_DEST)\include\xalanc\DOMSupport
	$(COPY) $(XALANCROOT)\src\xalanc\ICUBridge\*.h* 		$(XSL_BIN_DEST)\include\xalanc\\ICUBridge
	$(COPY) $(XALANCROOT)\src\xalanc\Include\*.h* 		$(XSL_BIN_DEST)\include\xalanc\Include
	$(COPY) $(XALANCROOT)\src\xalanc\PlatformSupport\*.h* 		$(XSL_BIN_DEST)\include\xalanc\PlatformSupport
	$(COPY) $(XALANCROOT)\src\xalanc\TestXPath\*.h* 		$(XSL_BIN_DEST)\include\xalanc\TestXPath
	$(COPY) $(XALANCROOT)\src\xalanc\TestXSLT\*.h* 		$(XSL_BIN_DEST)\include\xalanc\TestXSLT
	$(COPY) $(XALANCROOT)\src\xalanc\XalanDOM\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XalanDOM
	$(COPY) $(XALANCROOT)\src\xalanc\XalanExe\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XalanExe
	$(COPY) $(XALANCROOT)\src\xalanc\XalanEXSLT\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XalanEXSLT
	$(COPY) $(XALANCROOT)\src\xalanc\XalanExtensions\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XalanExtensions
	$(COPY) $(XALANCROOT)\src\xalanc\XalanSourceTree\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XalanSourceTree
	$(COPY) $(XALANCROOT)\src\xalanc\XalanTransformer\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XalanTransformer
	$(COPY) $(XALANCROOT)\src\xalanc\XercesParserLiaison\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XercesParserLiaison
	$(COPY) $(XALANCROOT)\src\xalanc\XMLSupport\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XMLSupport
	$(COPY) $(XALANCROOT)\src\xalanc\XPath\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XPath
	$(COPY) $(XALANCROOT)\src\xalanc\XPathCAPI\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XPathCAPI
	$(COPY) $(XALANCROOT)\src\xalanc\XSLT\*.h* 		$(XSL_BIN_DEST)\include\xalanc\XSLT
	$(COPY) $(BIN_SRC_DIR)\Nls\Include\LocalMsgIndex.hpp $(XSL_BIN_DEST)\include\xalanc\PlatformSupport
			
icu:
	$(COPY) $(ICULIB_DLL) $(XSL_BIN_DEST)\bin

different_location: samples install-extras

samples: prepare $(ALL_SAMPLES) $(SAMPLES_DIRS) $(SAMPLE_PROJ)

$(SAMPLES_DIRS) : $(XALANCROOT)\samples\$(@F)
	$(MKDIR) $@
	$(COPY) $?\* $@
	-$(RMDIR) $@\CVS
	
$(SAMPLE_PROJ) : $(XALANCROOT)\samples\$(@F)
		$(MKDIR) $@\Win32\$(IDE_VER) 
		$(COPY) $?\Win32\$(IDE_VER) $@\Win32\$(IDE_VER) 
		-$(RMDIR) $@\Win32\$(IDE_VER)\CVS
		
$(ALL_SAMPLES): $(BIN_SRC_DIR)\$(@F)
	$(COPY) $? $(@D)
	
!IF "$(PROJECT_NAME)"!="xalan-c" 
install-extras:		$(XSL_BIN_DEST)\readme.html $(XSL_BIN_DEST)\LICENSE $(XSL_BIN_DEST)\License.html $(XSL_BIN_DEST)\license.html $(XSL_BIN_DEST)\XLicense.html $(XSL_BIN_DEST)\NOTICE
!ELSE
install-extras:		$(XSL_BIN_DEST)\readme.html $(XSL_BIN_DEST)\LICENSE $(XSL_BIN_DEST)\KEYS  $(XSL_BIN_DEST)\NOTICE
!ENDIF

$(XSL_BIN_DEST)\readme.html $(XSL_BIN_DEST)\KEYS $(XSL_BIN_DEST)\License.html $(XSL_BIN_DEST)\LICENSE $(XSL_BIN_DEST)\XLicense.html $(XSL_BIN_DEST)\NOTICE  : $(XALANCROOT)\$(@F)
	$(FILECOPY) $(XALANCROOT)\$(@F) $(@D)
	
zip: install 
	$(ZIP) $(ZIP_DIR)\$(PACKAGE_NAME).zip  $(ZIP_DIR)
	
	
clean:
	-$(RMDIR) $(ZIP_DIR)

	
build_debug:
	$(MAKE) XALANCROOT=$(XALANCROOT) prefix=$(prefix) INSTALL_MODE=Debug PACKAGE_NAME=$(PACKAGE_NAME) libs COPY="$(COPY)" IDE_VER=$(IDE_VER)

## xalan c-1.12

=== docs/doxygen/CMakeLists.txt ===
# CMake build for xalan-c
#
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

if(BUILD_DOXYGEN)
  set(DOXYGEN_LOG "${CMAKE_CURRENT_BINARY_DIR}/api.log")
  set(DOXYGEN_OUTPUT_DIR "${CMAKE_CURRENT_BINARY_DIR}/api")
  set(DOXYFILE ${CMAKE_CURRENT_BINARY_DIR}/api.dox)
  set(DOXYFILE_TEMPLATE ${CMAKE_CURRENT_SOURCE_DIR}/api.dox.in)
  set(XERCESC_TAGFILE_DEFAULT "xerces-c.tag")
  set(XERCESC_HTML_DEFAULT "http://xerces.apache.org/xerces-c/apiDocs-3/")

  set(XERCESC_DOXYGEN_TAGFILE "${XERCESC_TAGFILE_DEFAULT}" CACHE STRING "Tagfile for xerces-c documentation")
  set(XERCESC_DOXYGEN_HTML_LOCATION "${XERCESC_HTML_DEFAULT}" CACHE STRING "Base directory for xerces-c HTML documentation")

  if(EXISTS "${XERCESC_DOXYGEN_TAGFILE}")
    set(DOXYGEN_XERCESC_TAGFILE "${XERCESC_DOXYGEN_TAGFILE}=${XERCESC_DOXYGEN_HTML_LOCATION}")
  endif()
  configure_file(${DOXYFILE_TEMPLATE} ${DOXYFILE} @ONLY)

  add_custom_command(OUTPUT ${DOXYGEN_LOG}
                     COMMAND ${CMAKE_COMMAND} -E remove_directory ${DOXYGEN_OUTPUT_DIR}
                     COMMAND ${CMAKE_COMMAND} -E make_directory ${DOXYGEN_OUTPUT_DIR}
                     COMMAND ${DOXYGEN_EXECUTABLE} ${DOXYFILE}
                     DEPENDS ${DOXYFILE} ${DOC_DEPENDENCIES})

  if(NOT TARGET doc-check)
    add_custom_target(doc-check)
  endif()
  add_custom_target(${PROJECT_NAME}-doc-check
                    COMMAND ${CMAKE_COMMAND} -Dlogfile=${DOXYGEN_LOG} -P ${PROJECT_SOURCE_DIR}/cmake/DoxygenCheck.cmake
                    DEPENDS ${DOXYGEN_LOG})
  add_dependencies(doc-check ${PROJECT_NAME}-doc-check)

  set_target_properties(${PROJECT_NAME}-doc-check PROPERTIES FOLDER "Documentation")
  set_target_properties(doc-check PROPERTIES FOLDER "Documentation")

  if(NOT TARGET doc-api)
    add_custom_target(doc-api)
  endif()
  add_custom_target(${PROJECT_NAME}-doc-api ALL DEPENDS ${DOXYGEN_LOG} ${PROJECT_NAME}-doc-check)
  add_dependencies(doc-api ${PROJECT_NAME}-doc-api)

  set_target_properties(${PROJECT_NAME}-doc-api PROPERTIES FOLDER "Documentation")
  set_target_properties(doc-api PROPERTIES FOLDER "Documentation")

  install(DIRECTORY "${DOXYGEN_OUTPUT_DIR}/"
          DESTINATION "${CMAKE_INSTALL_DOCDIR}/api"
          COMPONENT "development")
endif(BUILD_DOXYGEN)

=== src/xalanc/TestXPath/CMakeLists.txt ===
# CMake build for xalan-c
#
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

add_executable(TestXPath
  NodeNameTreeWalker.cpp
  NodeNameTreeWalker.hpp
  TestXPath.cpp)
target_link_libraries(TestXPath XalanC::XalanC)
set_target_properties(TestXPath PROPERTIES FOLDER "Tests")
